<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    android:paddingLeft="@dimen/dp_20"
    android:paddingRight="@dimen/dp_20">

    <TextView
        android:id="@+id/tv_return"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="返回"
        android:gravity="center"
        android:drawablePadding="@dimen/dp_6"
        android:drawableLeft="@mipmap/icon_black_return"
        android:textColor="@color/col_313"
        android:layout_marginTop="@dimen/dp_54"
        android:textSize="@dimen/sp_15"/>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mTvPswLogin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_45"
                    android:text="@string/register"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_24"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/mAccount"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_r25_eeeeee"
                    android:hint="@string/please_input_phone"
                    android:inputType="phone"
                    android:layout_marginTop="@dimen/dp_62"
                    android:maxLength="11"
                    android:paddingTop="@dimen/dp_18"
                    android:paddingBottom="@dimen/dp_18"
                    android:textColorHint="@color/col_c7c"
                    android:paddingLeft="@dimen/dp_20"
                    android:textColor="@color/col_313"
                    android:singleLine="true"
                    android:textSize="@dimen/sp_13" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_26">

                    <EditText
                        android:id="@+id/mCode"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_toLeftOf="@+id/mTvCode"
                        android:background="@drawable/shape_r25_eeeeee"
                        android:hint="@string/please_input_code"
                        android:inputType="number"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:textColorHint="@color/col_c7c"
                        android:paddingLeft="@dimen/dp_20"
                        android:textColor="@color/col_313"
                        android:singleLine="true"
                        android:textSize="@dimen/sp_13" />

                    <TextView
                        android:id="@+id/mTvCode"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/dp_13"
                        android:background="@drawable/selector_login_btn"
                        android:paddingLeft="@dimen/dp_18"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingRight="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:textStyle="bold"
                        android:text="@string/get_code"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_14" />

                </RelativeLayout>
                <RelativeLayout
                    android:id="@+id/mRelPwd"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_r25_eeeeee"
                    android:layout_marginTop="@dimen/dp_30">

                    <EditText
                        android:id="@+id/mPsw"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/shape_r25_eeeeee"
                        android:hint="请输入6位以上密码"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:textColorHint="@color/col_c7c"
                        android:inputType="textPassword"
                        android:paddingLeft="@dimen/dp_20"
                        android:textColor="@color/col_313"
                        android:singleLine="true"
                        android:textSize="@dimen/sp_13" />

                    <ImageView
                        android:id="@+id/mShow"
                        android:layout_width="@dimen/dp_48"
                        android:layout_height="@dimen/dp_48"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:scaleType="center"
                        android:src="@drawable/selector_pwd" />

                </RelativeLayout>


            </LinearLayout>

            <TextView
                android:id="@+id/mRegister"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/selector_login_btn"
                android:gravity="center"
                android:padding="@dimen/dp_16"
                android:text="立即注册"
                android:textColor="@color/white"
                android:textStyle="bold"
                android:layout_marginTop="@dimen/dp_57"
                android:textSize="@dimen/sp_18" />
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_12"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/seleck"
                    android:layout_width="@dimen/dp_15"
                    android:layout_height="@dimen/dp_15"
                    android:background="@drawable/selctor_check_sel"
                    android:padding="@dimen/dp_10" />

                <TextView
                    android:id="@+id/mPrivate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="@dimen/dp_8"
                    android:gravity="center"
                    android:textSize="@dimen/sp_13"
                    android:text="隐私条款"
                    android:textColor="@color/col_c7c" />

            </LinearLayout>


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="提示:"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_14"
                android:layout_marginTop="@dimen/dp_102"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="请绑定自己的手机号，平台将对您的手机号做保密隐私管理，仅用于必要服务沟通和用户绑定。"
                android:textColor="@color/col_7c7"
                android:textSize="@dimen/sp_14"
                android:layout_marginBottom="@dimen/dp_93"/>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>